package com.usky.cdi.service.mqtt.event;

import com.alibaba.fastjson.JSONObject;
import com.usky.cdi.service.mqtt.MqttStrategy;
import com.usky.cdi.service.vo.MqttBaseVO;
import org.springframework.stereotype.Service;

/**
 * @author han
 * @date 2025/03/20
 */
@Service("event")
public class event implements MqttStrategy {

    //处理下发命令响应消息
    public String disposeMessage(MqttBaseVO mqttBaseVO) {

        try {
            JSONObject eventVO1 = JSONObject.parseObject(mqttBaseVO.getData().toString());
            JSONObject eventVO = new JSONObject();
            JSONObject eventVO2 = new JSONObject();
            System.out.println("FEventReceiver消费者收到消息： " + mqttBaseVO.getData().toString());
        } catch (Exception e){
            e.printStackTrace();
        }

        return null;
    }
}
